diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/model/InstallToken.java b/base/common/src/com/netscape/certsrv/system/InstallToken.java
similarity index 96%
rename from base/common/src/com/netscape/cms/servlet/csadmin/model/InstallToken.java
rename to base/common/src/com/netscape/certsrv/system/InstallToken.java
index 59284de37911f6c3472746ce0ef7e99ec29cb9d8..aa34893a1f71c09288f33aa98f98e637ae20bae9 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/model/InstallToken.java
+++ b/base/common/src/com/netscape/certsrv/system/InstallToken.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK --- 
-package com.netscape.cms.servlet.csadmin.model;
+package com.netscape.certsrv.system;
 
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/model/InstallTokenRequest.java b/base/common/src/com/netscape/certsrv/system/InstallTokenRequest.java
similarity index 98%
rename from base/common/src/com/netscape/cms/servlet/csadmin/model/InstallTokenRequest.java
rename to base/common/src/com/netscape/certsrv/system/InstallTokenRequest.java
index 40be4179d3e586a84b6f7dd2a46beae6e7a490b3..bc000a96a9eb19f88919ab41789557f7469fd5aa 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/model/InstallTokenRequest.java
+++ b/base/common/src/com/netscape/certsrv/system/InstallTokenRequest.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK --- 
-package com.netscape.cms.servlet.csadmin.model;
+package com.netscape.certsrv.system;
 
 import javax.xml.bind.annotation.XmlAccessorType;
 import javax.xml.bind.annotation.XmlElement;
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/model/SecurityDomainHost.java b/base/common/src/com/netscape/certsrv/system/SecurityDomainHost.java
similarity index 96%
rename from base/common/src/com/netscape/cms/servlet/csadmin/model/SecurityDomainHost.java
rename to base/common/src/com/netscape/certsrv/system/SecurityDomainHost.java
index cd12cfaf245c42832a507fc83ad1575f34fc19b4..9dbf4e8a99e70b80adacf0efac1c3e1e00ed1f3d 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/model/SecurityDomainHost.java
+++ b/base/common/src/com/netscape/certsrv/system/SecurityDomainHost.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.csadmin.model;
+package com.netscape.certsrv.system;
 
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/model/SecurityDomainHostList.java b/base/common/src/com/netscape/certsrv/system/SecurityDomainHostList.java
similarity index 95%
rename from base/common/src/com/netscape/cms/servlet/csadmin/model/SecurityDomainHostList.java
rename to base/common/src/com/netscape/certsrv/system/SecurityDomainHostList.java
index 71922731e89e82ff803999f97b767f997e547cc4..375dee754e7f23362e341bb29c5fb65eda129b81 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/model/SecurityDomainHostList.java
+++ b/base/common/src/com/netscape/certsrv/system/SecurityDomainHostList.java
@@ -1,7 +1,7 @@
 /**
  * 
  */
-package com.netscape.cms.servlet.csadmin.model;
+package com.netscape.certsrv.system;
 
 import java.util.Collection;
 
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/model/SystemCertData.java b/base/common/src/com/netscape/certsrv/system/SystemCertData.java
similarity index 99%
rename from base/common/src/com/netscape/cms/servlet/csadmin/model/SystemCertData.java
rename to base/common/src/com/netscape/certsrv/system/SystemCertData.java
index bd98fe95ca010309c413266f20b476a876c6a158..a509e3fb546edb4cedc215a7f27d5a5630cf74d1 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/model/SystemCertData.java
+++ b/base/common/src/com/netscape/certsrv/system/SystemCertData.java
@@ -16,7 +16,7 @@
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
 
-package com.netscape.cms.servlet.csadmin.model;
+package com.netscape.certsrv.system;
 
 import javax.ws.rs.core.MultivaluedMap;
 import javax.xml.bind.annotation.XmlAccessType;
diff --git a/base/common/src/com/netscape/cms/servlet/admin/SystemCertificateResource.java b/base/common/src/com/netscape/certsrv/system/SystemCertificateResource.java
similarity index 85%
rename from base/common/src/com/netscape/cms/servlet/admin/SystemCertificateResource.java
rename to base/common/src/com/netscape/certsrv/system/SystemCertificateResource.java
index 16b3b5b5d1ea280e67e3899640272a612d321231..1096520fc7a0dd0bbc3f2ecfbb26a7f2d322a2c2 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/SystemCertificateResource.java
+++ b/base/common/src/com/netscape/certsrv/system/SystemCertificateResource.java
@@ -1,4 +1,4 @@
-package com.netscape.cms.servlet.admin;
+package com.netscape.certsrv.system;
 
 import javax.ws.rs.GET;
 import javax.ws.rs.Path;
@@ -8,7 +8,7 @@ import javax.ws.rs.core.Response;
 
 import org.jboss.resteasy.annotations.ClientResponseType;
 
-import com.netscape.cms.servlet.cert.model.CertData;
+import com.netscape.certsrv.cert.CertData;
 
 @Path("config/cert")
 public interface SystemCertificateResource {
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigResource.java b/base/common/src/com/netscape/certsrv/system/SystemConfigResource.java
similarity index 84%
rename from base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigResource.java
rename to base/common/src/com/netscape/certsrv/system/SystemConfigResource.java
index 9cb6791e3381715c95607c801ce505ca123cda4e..4ecafc6f779dcc9ffe8577b30b629a8d8b1a5834 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigResource.java
+++ b/base/common/src/com/netscape/certsrv/system/SystemConfigResource.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.csadmin;
+package com.netscape.certsrv.system;
 
 import javax.ws.rs.Consumes;
 import javax.ws.rs.GET;
@@ -25,11 +25,6 @@ import javax.ws.rs.Produces;
 import javax.ws.rs.core.MediaType;
 import javax.ws.rs.core.MultivaluedMap;
 
-import com.netscape.cms.servlet.csadmin.model.ConfigurationRequest;
-import com.netscape.cms.servlet.csadmin.model.ConfigurationResponse;
-import com.netscape.cms.servlet.csadmin.model.DomainInfo;
-import com.netscape.cms.servlet.csadmin.model.InstallToken;
-import com.netscape.cms.servlet.csadmin.model.InstallTokenRequest;
 
 /**
  * @author alee
diff --git a/base/common/src/com/netscape/cms/client/PKIErrorInterceptor.java b/base/common/src/com/netscape/cms/client/PKIErrorInterceptor.java
index 2c1936a6f4c8bf1aedf134b3bec556ac27327628..445778db41cadd033a3c4dadf15c61a39785ce80 100644
--- a/base/common/src/com/netscape/cms/client/PKIErrorInterceptor.java
+++ b/base/common/src/com/netscape/cms/client/PKIErrorInterceptor.java
@@ -23,7 +23,7 @@ import javax.ws.rs.core.MultivaluedMap;
 import org.jboss.resteasy.client.ClientResponse;
 import org.jboss.resteasy.client.core.ClientErrorInterceptor;
 
-import com.netscape.cms.servlet.base.PKIException;
+import com.netscape.certsrv.base.PKIException;
 
 public class PKIErrorInterceptor implements ClientErrorInterceptor {
 
diff --git a/base/common/src/com/netscape/cms/client/ca/CAClient.java b/base/common/src/com/netscape/cms/client/ca/CAClient.java
index 17d017cce91ff3c03095df387d1280e872a9251b..a72f95962d7dbcfa882afe5aad88f21dfb21c743 100644
--- a/base/common/src/com/netscape/cms/client/ca/CAClient.java
+++ b/base/common/src/com/netscape/cms/client/ca/CAClient.java
@@ -20,22 +20,22 @@ package com.netscape.cms.client.ca;
 import java.net.URISyntaxException;
 import java.util.Collection;
 
+import com.netscape.certsrv.cert.CertData;
+import com.netscape.certsrv.cert.CertDataInfos;
+import com.netscape.certsrv.cert.CertEnrollmentRequest;
+import com.netscape.certsrv.cert.CertRequestInfo;
+import com.netscape.certsrv.cert.CertRequestInfos;
+import com.netscape.certsrv.cert.CertRequestResource;
+import com.netscape.certsrv.cert.CertResource;
+import com.netscape.certsrv.cert.CertReviewResponse;
+import com.netscape.certsrv.cert.CertSearchRequest;
 import com.netscape.certsrv.dbs.certdb.CertId;
+import com.netscape.certsrv.profile.ProfileData;
+import com.netscape.certsrv.profile.ProfileDataInfos;
+import com.netscape.certsrv.profile.ProfileResource;
 import com.netscape.certsrv.request.RequestId;
 import com.netscape.cms.client.ClientConfig;
 import com.netscape.cms.client.PKIClient;
-import com.netscape.cms.servlet.cert.CertResource;
-import com.netscape.cms.servlet.cert.model.CertDataInfos;
-import com.netscape.cms.servlet.cert.model.CertSearchRequest;
-import com.netscape.cms.servlet.cert.model.CertData;
-import com.netscape.cms.servlet.profile.ProfileResource;
-import com.netscape.cms.servlet.profile.model.ProfileData;
-import com.netscape.cms.servlet.profile.model.ProfileDataInfos;
-import com.netscape.cms.servlet.request.CertRequestResource;
-import com.netscape.cms.servlet.request.model.CertReviewResponse;
-import com.netscape.cms.servlet.request.model.CertRequestInfo;
-import com.netscape.cms.servlet.request.model.CertRequestInfos;
-import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 public class CAClient extends PKIClient {
 
diff --git a/base/common/src/com/netscape/cms/client/cert/CertCLI.java b/base/common/src/com/netscape/cms/client/cert/CertCLI.java
index ced2560ec9177e55358c61499de0647f25292fc8..f7bb27597ab249ecc22d7681d7a178c45b4d7389 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertCLI.java
@@ -23,11 +23,11 @@ import java.util.Arrays;
 import org.apache.commons.lang.StringUtils;
 import org.jboss.resteasy.plugins.providers.atom.Link;
 
+import com.netscape.certsrv.cert.CertData;
+import com.netscape.certsrv.cert.CertDataInfo;
+import com.netscape.certsrv.cert.CertRequestInfo;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.cert.model.CertDataInfo;
-import com.netscape.cms.servlet.cert.model.CertData;
-import com.netscape.cms.servlet.request.model.CertRequestInfo;
 
 /**
  * @author Endi S. Dewata
diff --git a/base/common/src/com/netscape/cms/client/cert/CertClient.java b/base/common/src/com/netscape/cms/client/cert/CertClient.java
index 254e8a143d9a4eb5fa28fd5d63f4d6e0825d99e3..1fcb9e40d034f25cbf639738755ff8b784b09a34 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertClient.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertClient.java
@@ -19,21 +19,21 @@ package com.netscape.cms.client.cert;
 
 import java.net.URISyntaxException;
 
+import com.netscape.certsrv.cert.CertData;
+import com.netscape.certsrv.cert.CertDataInfos;
+import com.netscape.certsrv.cert.CertEnrollmentRequest;
+import com.netscape.certsrv.cert.CertRequestInfo;
+import com.netscape.certsrv.cert.CertRequestInfos;
+import com.netscape.certsrv.cert.CertRequestResource;
+import com.netscape.certsrv.cert.CertResource;
+import com.netscape.certsrv.cert.CertReviewResponse;
+import com.netscape.certsrv.cert.CertRevokeRequest;
+import com.netscape.certsrv.cert.CertSearchRequest;
+import com.netscape.certsrv.cert.CertUnrevokeRequest;
 import com.netscape.certsrv.dbs.certdb.CertId;
 import com.netscape.certsrv.request.RequestId;
 import com.netscape.cms.client.ClientConfig;
 import com.netscape.cms.client.PKIClient;
-import com.netscape.cms.servlet.cert.CertResource;
-import com.netscape.cms.servlet.cert.model.CertDataInfos;
-import com.netscape.cms.servlet.cert.model.CertRevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertSearchRequest;
-import com.netscape.cms.servlet.cert.model.CertUnrevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertData;
-import com.netscape.cms.servlet.request.CertRequestResource;
-import com.netscape.cms.servlet.request.model.CertReviewResponse;
-import com.netscape.cms.servlet.request.model.CertRequestInfo;
-import com.netscape.cms.servlet.request.model.CertRequestInfos;
-import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 /**
  * @author Endi S. Dewata
@@ -70,11 +70,11 @@ public class CertClient extends PKIClient {
         return certClient.unrevokeCert(id, request);
     }
 
-    public CertRequestInfos enrollRequest(CertEnrollmentRequest data){
+    public CertRequestInfos enrollRequest(CertEnrollmentRequest data) {
         return certRequestResource.enrollCert(data);
     }
 
-    public CertReviewResponse reviewRequest(RequestId id){
+    public CertReviewResponse reviewRequest(RequestId id) {
         return certRequestResource.reviewRequest(id);
     }
 
diff --git a/base/common/src/com/netscape/cms/client/cert/CertFindCLI.java b/base/common/src/com/netscape/cms/client/cert/CertFindCLI.java
index e67276ac34e0d571d9c9035dda1f4fa894084054..f695062246d5a0691b9dca2b0a895e548a502dc2 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertFindCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertFindCLI.java
@@ -28,12 +28,12 @@ import org.apache.commons.cli.CommandLine;
 import org.apache.commons.cli.Option;
 import org.apache.commons.cli.ParseException;
 
+import com.netscape.certsrv.base.PKIException;
+import com.netscape.certsrv.cert.CertDataInfo;
+import com.netscape.certsrv.cert.CertDataInfos;
+import com.netscape.certsrv.cert.CertSearchRequest;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.base.PKIException;
-import com.netscape.cms.servlet.cert.model.CertDataInfo;
-import com.netscape.cms.servlet.cert.model.CertDataInfos;
-import com.netscape.cms.servlet.cert.model.CertSearchRequest;
 
 /**
  * @author Endi S. Dewata
diff --git a/base/common/src/com/netscape/cms/client/cert/CertHoldCLI.java b/base/common/src/com/netscape/cms/client/cert/CertHoldCLI.java
index 1e283b722fee34d2eaac38e8ccca20e28ecf1cfa..33667f3f0796539143114a0526d2df9727fa8f7e 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertHoldCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertHoldCLI.java
@@ -26,13 +26,13 @@ import netscape.security.x509.RevocationReason;
 import org.apache.commons.cli.CommandLine;
 import org.apache.commons.cli.Option;
 
+import com.netscape.certsrv.cert.CertData;
+import com.netscape.certsrv.cert.CertRequestInfo;
+import com.netscape.certsrv.cert.CertRevokeRequest;
 import com.netscape.certsrv.dbs.certdb.CertId;
 import com.netscape.certsrv.request.RequestStatus;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.cert.model.CertRevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertData;
-import com.netscape.cms.servlet.request.model.CertRequestInfo;
 
 /**
  * @author Endi S. Dewata
diff --git a/base/common/src/com/netscape/cms/client/cert/CertReleaseHoldCLI.java b/base/common/src/com/netscape/cms/client/cert/CertReleaseHoldCLI.java
index 920c642e54fd2a131de61d57d9007fab923964ef..10408273fd23076636925bcb16eec03eaaa38130 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertReleaseHoldCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertReleaseHoldCLI.java
@@ -23,13 +23,13 @@ import java.io.InputStreamReader;
 
 import org.apache.commons.cli.CommandLine;
 
+import com.netscape.certsrv.cert.CertData;
+import com.netscape.certsrv.cert.CertRequestInfo;
+import com.netscape.certsrv.cert.CertUnrevokeRequest;
 import com.netscape.certsrv.dbs.certdb.CertId;
 import com.netscape.certsrv.request.RequestStatus;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.cert.model.CertUnrevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertData;
-import com.netscape.cms.servlet.request.model.CertRequestInfo;
 
 /**
  * @author Endi S. Dewata
diff --git a/base/common/src/com/netscape/cms/client/cert/CertRequestApproveCLI.java b/base/common/src/com/netscape/cms/client/cert/CertRequestApproveCLI.java
index 91cb26e1471e1537ec75e898487aceb962fdce25..c96f482c8d18e83b6969be0673ba8204e8ab62e0 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertRequestApproveCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertRequestApproveCLI.java
@@ -10,10 +10,10 @@ import javax.xml.bind.Unmarshaller;
 import org.apache.commons.cli.CommandLine;
 import org.apache.commons.cli.ParseException;
 
+import com.netscape.certsrv.base.PKIException;
+import com.netscape.certsrv.cert.CertReviewResponse;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.base.PKIException;
-import com.netscape.cms.servlet.request.model.CertReviewResponse;
 
 public class CertRequestApproveCLI extends CLI {
     CertCLI parent;
diff --git a/base/common/src/com/netscape/cms/client/cert/CertRequestReviewCLI.java b/base/common/src/com/netscape/cms/client/cert/CertRequestReviewCLI.java
index 61c8506e7e31feadf4a7dfd1726d3ee41c1db6a3..22b1faed39fbe7822b754ea876d824c748c533e7 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertRequestReviewCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertRequestReviewCLI.java
@@ -11,11 +11,11 @@ import org.apache.commons.cli.CommandLine;
 import org.apache.commons.cli.Option;
 import org.apache.commons.cli.ParseException;
 
+import com.netscape.certsrv.base.PKIException;
+import com.netscape.certsrv.cert.CertReviewResponse;
 import com.netscape.certsrv.request.RequestId;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.base.PKIException;
-import com.netscape.cms.servlet.request.model.CertReviewResponse;
 
 public class CertRequestReviewCLI extends CLI {
 
diff --git a/base/common/src/com/netscape/cms/client/cert/CertRequestSubmitCLI.java b/base/common/src/com/netscape/cms/client/cert/CertRequestSubmitCLI.java
index 021400f755a1b7aadc0d7fb04a70f42d77e88a5f..cd974b031dffc405be90edc6af49c45efe2e4f40 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertRequestSubmitCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertRequestSubmitCLI.java
@@ -11,11 +11,11 @@ import javax.xml.bind.Unmarshaller;
 import org.apache.commons.cli.CommandLine;
 import org.apache.commons.cli.ParseException;
 
+import com.netscape.certsrv.cert.CertEnrollmentRequest;
+import com.netscape.certsrv.cert.CertRequestInfo;
+import com.netscape.certsrv.cert.CertRequestInfos;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.request.model.CertRequestInfo;
-import com.netscape.cms.servlet.request.model.CertRequestInfos;
-import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 public class CertRequestSubmitCLI extends CLI {
 
diff --git a/base/common/src/com/netscape/cms/client/cert/CertRevokeCLI.java b/base/common/src/com/netscape/cms/client/cert/CertRevokeCLI.java
index 611e50c37d8d34342d13f958aa9c41d720a4be25..de5dddc09cd7eecb0a82f848d8484a987abfcc9f 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertRevokeCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertRevokeCLI.java
@@ -26,13 +26,13 @@ import netscape.security.x509.RevocationReason;
 import org.apache.commons.cli.CommandLine;
 import org.apache.commons.cli.Option;
 
+import com.netscape.certsrv.cert.CertData;
+import com.netscape.certsrv.cert.CertRequestInfo;
+import com.netscape.certsrv.cert.CertRevokeRequest;
 import com.netscape.certsrv.dbs.certdb.CertId;
 import com.netscape.certsrv.request.RequestStatus;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.cert.model.CertRevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertData;
-import com.netscape.cms.servlet.request.model.CertRequestInfo;
 
 /**
  * @author Endi S. Dewata
diff --git a/base/common/src/com/netscape/cms/client/cert/CertShowCLI.java b/base/common/src/com/netscape/cms/client/cert/CertShowCLI.java
index a16e36f3fda6f8031fea8e496dbf9c5fd27f2155..4fcfc8c3d918d5c80ccd31bf62ad5f7fd06a81c2 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertShowCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertShowCLI.java
@@ -24,10 +24,10 @@ import java.io.PrintWriter;
 import org.apache.commons.cli.CommandLine;
 import org.apache.commons.cli.Option;
 
+import com.netscape.certsrv.cert.CertData;
 import com.netscape.certsrv.dbs.certdb.CertId;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.cert.model.CertData;
 
 /**
  * @author Endi S. Dewata
diff --git a/base/common/src/com/netscape/cms/client/kra/DRMClient.java b/base/common/src/com/netscape/cms/client/kra/DRMClient.java
index 2332eacb2cd6bfd5e6ed8896c185cb14c0f8f158..4bcf52987131cbc57e5e8875b601d68cdee91cc1 100644
--- a/base/common/src/com/netscape/cms/client/kra/DRMClient.java
+++ b/base/common/src/com/netscape/cms/client/kra/DRMClient.java
@@ -6,21 +6,21 @@ import java.util.Iterator;
 
 import org.jboss.resteasy.client.ClientResponse;
 
+import com.netscape.certsrv.cert.CertData;
 import com.netscape.certsrv.dbs.keydb.KeyId;
+import com.netscape.certsrv.key.KeyArchivalRequest;
+import com.netscape.certsrv.key.KeyData;
+import com.netscape.certsrv.key.KeyDataInfo;
+import com.netscape.certsrv.key.KeyDataInfos;
+import com.netscape.certsrv.key.KeyRecoveryRequest;
+import com.netscape.certsrv.key.KeyRequestInfo;
+import com.netscape.certsrv.key.KeyRequestInfos;
+import com.netscape.certsrv.key.KeyRequestResource;
+import com.netscape.certsrv.key.KeyResource;
 import com.netscape.certsrv.request.RequestId;
+import com.netscape.certsrv.system.SystemCertificateResource;
 import com.netscape.cms.client.ClientConfig;
 import com.netscape.cms.client.PKIClient;
-import com.netscape.cms.servlet.admin.SystemCertificateResource;
-import com.netscape.cms.servlet.cert.model.CertData;
-import com.netscape.cms.servlet.key.KeyResource;
-import com.netscape.cms.servlet.key.model.KeyData;
-import com.netscape.cms.servlet.key.model.KeyDataInfo;
-import com.netscape.cms.servlet.key.model.KeyDataInfos;
-import com.netscape.cms.servlet.request.KeyRequestResource;
-import com.netscape.cms.servlet.request.model.KeyArchivalRequest;
-import com.netscape.cms.servlet.request.model.KeyRequestInfo;
-import com.netscape.cms.servlet.request.model.KeyRequestInfos;
-import com.netscape.cms.servlet.request.model.KeyRecoveryRequest;
 import com.netscape.cmsutil.util.Utils;
 
 public class DRMClient  extends PKIClient {
diff --git a/base/common/src/com/netscape/cms/client/system/SystemConfigClient.java b/base/common/src/com/netscape/cms/client/system/SystemConfigClient.java
index c01558ed3720077fe5144f7a7b47e467168390e0..c9ee28718b5e323cafb07e245522c498abb418a5 100644
--- a/base/common/src/com/netscape/cms/client/system/SystemConfigClient.java
+++ b/base/common/src/com/netscape/cms/client/system/SystemConfigClient.java
@@ -19,13 +19,13 @@ package com.netscape.cms.client.system;
 
 import java.net.URISyntaxException;
 
+import com.netscape.certsrv.system.ConfigurationRequest;
+import com.netscape.certsrv.system.ConfigurationResponse;
+import com.netscape.certsrv.system.InstallToken;
+import com.netscape.certsrv.system.InstallTokenRequest;
+import com.netscape.certsrv.system.SystemConfigResource;
 import com.netscape.cms.client.ClientConfig;
 import com.netscape.cms.client.PKIClient;
-import com.netscape.cms.servlet.csadmin.SystemConfigResource;
-import com.netscape.cms.servlet.csadmin.model.ConfigurationRequest;
-import com.netscape.cms.servlet.csadmin.model.ConfigurationResponse;
-import com.netscape.cms.servlet.csadmin.model.InstallToken;
-import com.netscape.cms.servlet.csadmin.model.InstallTokenRequest;
 
 
 /**
diff --git a/base/common/src/com/netscape/cms/servlet/admin/GroupMemberService.java b/base/common/src/com/netscape/cms/servlet/admin/GroupMemberService.java
index 7b4ccf3231d490be4a59a136d2b5989f912b6b0a..0854be3aae1e4591aa1b078a35094498ef7177b7 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/GroupMemberService.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/GroupMemberService.java
@@ -31,6 +31,7 @@ import org.jboss.resteasy.plugins.providers.atom.Link;
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
+import com.netscape.certsrv.base.PKIException;
 import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.common.OpDef;
 import com.netscape.certsrv.common.ScopeDef;
@@ -43,7 +44,6 @@ import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.user.UserResource;
 import com.netscape.certsrv.usrgrp.IGroup;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
-import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.PKIService;
 
 /**
diff --git a/base/common/src/com/netscape/cms/servlet/admin/GroupService.java b/base/common/src/com/netscape/cms/servlet/admin/GroupService.java
index 9f2e32cd1900e7682b2f37389cc1bda2922547cd..b82df9a2fc8d293138ff1920eb4a7c34f7a145d7 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/GroupService.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/GroupService.java
@@ -31,6 +31,7 @@ import org.jboss.resteasy.plugins.providers.atom.Link;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
+import com.netscape.certsrv.base.PKIException;
 import com.netscape.certsrv.common.OpDef;
 import com.netscape.certsrv.common.ScopeDef;
 import com.netscape.certsrv.group.GroupCollection;
@@ -40,7 +41,6 @@ import com.netscape.certsrv.logging.IAuditor;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.usrgrp.IGroup;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
-import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.PKIService;
 import com.netscape.cmsutil.ldap.LDAPUtil;
 
diff --git a/base/common/src/com/netscape/cms/servlet/admin/SystemCertService.java b/base/common/src/com/netscape/cms/servlet/admin/SystemCertService.java
index fe60160561b6cf4be0ad9bf91df9e9b3245e9e8a..bd84f114186bafd4fda74e17571b10cdf923d932 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/SystemCertService.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/SystemCertService.java
@@ -24,10 +24,11 @@ import javax.ws.rs.WebApplicationException;
 import javax.ws.rs.core.Response;
 
 import com.netscape.certsrv.apps.CMS;
+import com.netscape.certsrv.cert.CertData;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.security.ITransportKeyUnit;
+import com.netscape.certsrv.system.SystemCertificateResource;
 import com.netscape.cms.servlet.base.PKIService;
-import com.netscape.cms.servlet.cert.model.CertData;
 
 /**
  * This is the class used to list, retrieve and modify system certificates for all Java subsystems.
diff --git a/base/common/src/com/netscape/cms/servlet/admin/UserCertService.java b/base/common/src/com/netscape/cms/servlet/admin/UserCertService.java
index c2d4d6cfa43aac621679dd0685f1fe7a592b8579..16a584ff8f3f4888e722237096aea393944ca858 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/UserCertService.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/UserCertService.java
@@ -40,6 +40,7 @@ import org.mozilla.jss.crypto.InternalCertificate;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.ICertPrettyPrint;
+import com.netscape.certsrv.base.PKIException;
 import com.netscape.certsrv.common.OpDef;
 import com.netscape.certsrv.common.ScopeDef;
 import com.netscape.certsrv.dbs.certdb.CertId;
@@ -50,7 +51,6 @@ import com.netscape.certsrv.user.UserCertData;
 import com.netscape.certsrv.user.UserCertResource;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
 import com.netscape.certsrv.usrgrp.IUser;
-import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.PKIService;
 import com.netscape.cmsutil.util.Cert;
 import com.netscape.cmsutil.util.Utils;
diff --git a/base/common/src/com/netscape/cms/servlet/admin/UserService.java b/base/common/src/com/netscape/cms/servlet/admin/UserService.java
index 6876197226954b32625f0e6a60e8ff07e9fba4d2..f28a8151f43386df22db0839aafd4ba7f90f8af5 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/UserService.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/UserService.java
@@ -33,6 +33,7 @@ import org.jboss.resteasy.plugins.providers.atom.Link;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
+import com.netscape.certsrv.base.PKIException;
 import com.netscape.certsrv.common.OpDef;
 import com.netscape.certsrv.common.ScopeDef;
 import com.netscape.certsrv.logging.IAuditor;
@@ -45,7 +46,6 @@ import com.netscape.certsrv.usrgrp.EUsrGrpException;
 import com.netscape.certsrv.usrgrp.IGroup;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
 import com.netscape.certsrv.usrgrp.IUser;
-import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.PKIService;
 import com.netscape.cmsutil.ldap.LDAPUtil;
 
diff --git a/base/common/src/com/netscape/cms/servlet/base/PKIService.java b/base/common/src/com/netscape/cms/servlet/base/PKIService.java
index a77846c68b7152aaaea888bdf96fc67b46396856..4034a75a312df2b70587ef5f396fa606afa580f3 100644
--- a/base/common/src/com/netscape/cms/servlet/base/PKIService.java
+++ b/base/common/src/com/netscape/cms/servlet/base/PKIService.java
@@ -36,9 +36,9 @@ import javax.ws.rs.core.Response.ResponseBuilder;
 import javax.ws.rs.core.UriInfo;
 
 import com.netscape.certsrv.apps.CMS;
+import com.netscape.certsrv.cert.CertData;
 import com.netscape.certsrv.logging.IAuditor;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.cms.servlet.cert.model.CertData;
 
 /**
  * Base class for CMS RESTful resources
diff --git a/base/common/src/com/netscape/cms/servlet/cert/CertEnrollmentRequestFactory.java b/base/common/src/com/netscape/cms/servlet/cert/CertEnrollmentRequestFactory.java
index 2aab69b376a06f4eef89b0b3037f265862d92ca1..7a26e8e21482bc066184305d56eb953e25903696 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/CertEnrollmentRequestFactory.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/CertEnrollmentRequestFactory.java
@@ -21,13 +21,13 @@ import java.util.Enumeration;
 import java.util.Locale;
 
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.cert.CertEnrollmentRequest;
 import com.netscape.certsrv.profile.EProfileException;
 import com.netscape.certsrv.profile.IProfile;
 import com.netscape.certsrv.profile.IProfileInput;
+import com.netscape.certsrv.profile.ProfileInput;
 import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.profile.ProfileInputFactory;
-import com.netscape.cms.servlet.profile.model.ProfileInput;
-import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 public class CertEnrollmentRequestFactory {
 
